Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://cloudlab.scispot.io/labsheet-folder/list-labsheets-by-folder-name \ --header 'Authorization: Bearer <token>'
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}}; fetch('https://cloudlab.scispot.io/labsheet-folder/list-labsheets-by-folder-name', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
import requests url = "https://cloudlab.scispot.io/labsheet-folder/list-labsheets-by-folder-name" headers = {"Authorization": "Bearer <token>"} response = requests.get(url, headers=headers) print(response.text)
{ "labsheets": [ { "uuid": "<uuid>", "name": "Sample Manager" }, { "uuid": "<uuid>", "name": "Test Results" } ], "total": 2, "success": true }
{ "success": false, "message": "Invalid Authentication Token" }
{ "success": false, "message": "Missing Authentication Token" }
{ "success": false, "message": "Not found" }
{ "success": false, "message": "Validation error" }
{ "success": false, "message": "Operation failed" }
Retrieve list of labsheet folders
Personal access token from Scispot Account → Personal Tokens
The name of the folder to list the labsheets in (required)
Successfully retrieved list of labsheets in the folder
Array of labsheets in the folder
Show child attributes
Whether the request was successful